#pragma once
#include "LampDataItem.h"
#include <QString>
#include <QMap>
#include <QList>
#include "WindDataFileOperator.h"
// 风场文件Item

class QgsMeshLayer;
class QgsVectorLayer;
class QgsSymbol;
class QgsMapCanvas;

class LampWindDataItem:public LampDataItem
{
public:
	// 初始化代码
	LampWindDataItem(QTreeWidget* treeWidget);
	~LampWindDataItem();
public: // 基础函数
	void InitTreeNode() override;
	void showData(ManualLabelToolWidget* mainWidget) override;
	QString getDescription() override;
	void setSelectItems(QList<QString> selectItemName) override;
	void OpenFileData(QString path) override;

public:
	void ShowWindData(ManualLabelToolWidget* mainWidget, int64_t tid,QString timeStr);

 public:
	QString Filename;
	QString Filepath;
	DataFileInfo info;
	QMap<QString,int64_t> timeArr;
	QMap<int64_t, QString> time_filepath;
	QList<QString> selectItems;
	QString FileCacheFolderPath;
};